﻿//==========================================================
//	lgcs-lang.js by lgcs
//==========================================================
//-----------------------------
//langType	ja=japanese		langIndex	ja=0
//			en=english					en=1
//-----------------------------
var langType = "ja";
var langIndex = 0;
//-----------------------------
const langIdx = [ "ja", "en" ]
//-----------------------------
const langStr = [
	//-----------------------------
	//lgcs.html
	//-----------------------------
	[	"学習用論理回路シミュレーター",
		"Logic circuit simulator for learning"
	],

	[	"学習用論理回路シミュレーター [ 教師モード：",
		"Logic circuit simulator for learning [ Teacher mode : "
	],

	[	"学習用論理回路シミュレーター [ ",
		"Logic circuit simulator for learning [ "
	],

	[	"新規回路図",
		"New Schematic"
	],

	[	"出力同士の接続",
		"Connection between outputs."
	],

	[	"配線のループ接続",
		"Loop wiring."
	],

	[	"ここにテキストを入力",
		"Text here."
	],

	[	"エラー",
		"Error"
	],

	[	"確認",
		"Confirmation"
	],


	[	"警告",
		"Caution"
	],

	[	"現在の回路図を破棄します。よいですか？",
		"Discard the current schematic. is it ok?"
	],

	[	"このファイルは、回路図データファイルではありません。",
		"This file is not a schematic data file."
	],

	[	"回路図データをダウンロードフォルダに保存します。よいですか？",
		"Save the schematic data to your Downloads folder. is it ok?"
	],

	[	"回路図のPNGイメージをダウンロードフォルダに保存します。よいですか？",
		"Save the PNG image of the schematic to your Downloads folder. is it ok?"
	],

	[	"回路をリセットしました。",
		"Circuit was reset."
	],

	[	"教材設定",
		"Teaching material settings."
	],

	[	"表示項目を指定してください。",
		"Please specify the display item."
	],

	[	"　ＯＫ　",
		"  OK  "
	],

	[	"キャンセル",
		"Cancel"
	],

	[	"戻る",
		"Back"
	],

	[	"処理中...",
		"Processing..."
	],

	[	"ファイル名：",
		"File name :"
	],

	[	"［保存］ボタンの表示",
		" [Save] button"
	],

	[	"［画像保存］ボタンの表示",
		" [Save image] button"
	],

	[	"［印刷］ボタンの表示",
		" [Print] button"
	],

	[	"回路図の編集",
		" Edit Schematic"
	],

	[	"［配線］の表示",
		" Wiring"
	],

	[	"［電源］の表示",
		" Power"
	],

	[	"［接地］の表示",
		" Ground"
	],

	[	"［OSC］の表示",
		" OSC"
	],

	[	"［ﾊﾞｯﾌｧ］の表示",
		" Buffer"
	],

	[	"［ｲﾝﾊﾞｰﾀ］の表示",
		" Inverter"
	],

	[	"［AND(2)］の表示",
		" AND(2)"
	],

	[	"［AND(3)］の表示",
		" AND(3)"
	],

	[	"［AND(4)］の表示",
		" AND(4)"
	],

	[	"［AND(5)］の表示",
		" AND(5)"
	],

	[	"［NAND(2)］の表示",
		" NAND(2)"
	],

	[	"［NAND(3)］の表示",
		" NAND(3)"
	],

	[	"［NAND(4)］の表示",
		" NAND(4)"
	],

	[	"［NAND(5)］の表示",
		" NAND(5)"
	],

	[	"［OR(2)］の表示",
		" OR(2)"
	],

	[	"［OR(3)］の表示",
		" OR(3)"
	],

	[	"［OR(4)］の表示",
		" OR(4)"
	],

	[	"［OR(5)］の表示",
		" OR(5)"
	],

	[	"［NOR(2)］の表示",
		" NOR(2)"
	],

	[	"［NOR(3)］の表示",
		" NOR(3)"
	],

	[	"［NOR(4)］の表示",
		" NOR(4)"
	],

	[	"［NOR(5)］の表示",
		" NOR(5)"
	],

	[	"［XOR］の表示",
		" XOR"
	],

	[	"［XNOR］の表示",
		" XNOR"
	],

	[	"［LED-cc］の表示",
		" LED-cc"
	],

	[	"［LED-ac］の表示",
		" LED-ac"
	],

	[	"［LED-7seg］の表示",
		" LED-7seg"
	],

	[	"［ﾄｸﾞﾙSW］の表示",
		" Togle SW"
	],

	[	"［ﾌﾟｯｼｭSW］の表示",
		" Push SW"
	],

	[	"［ｷｰﾊﾟｯﾄﾞ］の表示",
		" Key pad"
	],

	[	"［RS-FF］の表示",
		" RS-FF"
	],

	[	"［JK-FF］の表示",
		" JK-FF"
	],

	[	"［T-FF］の表示",
		" T-FF"
	],

	[	"［D-FF］の表示",
		" D-FF"
	],

	[	"［半加算器］の表示",
		" Half adder"
	],

	[	"［全加算器］の表示",
		" Full adder"
	],

	[	"［4bitｶｳﾝﾀ］の表示",
		" 4bit counter"
	],

	[	"［テキスト］の表示",
		" Text area"
	],

	[	"オシロスコープ表示",
		" Oscilloscope"
	],

	[	"表示/非表示切換",
		" Show/Hide selection"
	],

	[	"配線の論理色表示",
		" Logical color disp."
	],

	[	"［回路リセット］ボタンの表示",
		" [Circuit reset] button"
	],

	[	"新規@-28",
		"New@-28"
	],

	[	"開く@-28",
		"Open@-26"
	],

	[	"保存@-28",
		"Save@-27"
	],

	[	"画像保存@-14",
		"Save image@-4"
	],

	[	"印刷@-28",
		"Print@-27"
	],

	[	"教材設定@-14",
		"Settings@-15"
	],

	[	"削除@-28",
		"Remove@-16"
	],

	[	"編集@-28",
		"Edit@-30"
	],

	[	"配線@-28",
		"Wiring@-20"
	],

	[	"電源@-18",
		"Power@-14"
	],

	[	"接地@-18",
		"Ground@-10"
	],

	[	"ﾊﾞｯﾌｧ@-16",
		"Buffer@-14"
	],

	[	"ｲﾝﾊﾞｰﾀ@-12",
		"Inverter@-8"
	],

	[	"ﾄｸﾞﾙSW@-8",
		"Togle SW@-2"
	],

	[	"ﾌﾟｯｼｭSW@-4",
		"Push SW@-2"
	],

	[	"&nbsp;ｷｰﾊﾟｯﾄﾞ@-6",
		"&nbsp;Key pad@-6"
	],

	[	"半加算器@-7",
		"Half adder@-4"
	],

	[	"全加算器@-7",
		"Full adder@-5"
	],

	[	"4bitｶｳﾝﾀ@-8",
		"4bit counter@+2"
	],

	[	"&nbsp;テキスト@-4",
		"&nbsp;Texr area@-2"
	],

	[	"回路リセット",
		"Circuit reset"
	],

	[	"ｽｲｯﾁ on/off<br>テキスト編集",
		"Sw on/off<br>Text edit"
	],

	[	"ｽｲｯﾁ on/off",
		"Sw on/off"
	],

	[	"接続分離",
		"Separation"
	],

	[	"画面パン",
		"Screen pan"
	],

	[	"配線",
		"Wiring"
	],

	[	"配線分割",
		"Wiring division"
	],

	[	"削除",
		"Remove"
	],

	[	"連続削除",
		"Continue"
	],

	[	"配置",
		"Arrangement"
	],

	[	"連続配置",
		"Continue"
	],

	[	"編集",
		"Edit"
	],

	[	"編集可",
		"Editable"
	],

	[	"ｻｲｽﾞ変更",
		"Resize"
	],
	
	[	"変更可",
		"Resizable"
	],
	
	//-----------------------------
	//upload.html
	//-----------------------------
	[	"教材データのアップロード",
		'Upload "Teaching material data"'
	],

	[	"lgcs 「教材データ」のアップロード",
		'lgcs Upload "Teaching material data"'
	],

	[	"教材データのアップロード",
		'Upload "Teaching material data"'
	],

	[	"教材ファイル :",
		'"Teaching material data" file'
	],

	[	"ファイルの選択",
		"Select file"
	],
	[	"(注)ファイル選択後、直ちに送信します。",
		'(Note) After selecting the file, it will be sent immediately.'
	],


	[	"サーバー上の教材ファイル一覧",
		'List of "Teaching material data" files on the server.'
	],

	[	"削除",
		"Delete"
	],

	[	"ダウンロード",
		"Download"
	],

	[	"学習モードで起動",
		'Run in "Learning Mode"'
	],

	[	"このサーバー上では、アップロードや削除は行えません。",
		'Cannot be uploaded or deleted on this server.'
	],

	[	"同名の教材ファイルがサーバー上に存在しています。アップロードを中止します。",
		'A "Teaching material data" with the same name exists on the server. Abort the upload.'
	],

	[	'"teacher.dat" はアップロードできません。アップロードを中止します。',
		'"teacher.dat" cannot be uploaded. Abort the upload.'
	],

	[	'"%1" を削除します。 よいですか？',
		'Remove "%1". is it ok?'
	]
];

//==============================================================
//	言語別の文字列変換
//==============================================================
//---------------------------------------------------------
//	言語の取得
//---------------------------------------------------------
function getLangType(lang) {
	
	langType = window.navigator.language;
	
	if (langType != "ja" && langType != "en") {
		langType = "en";
	}
	
	//langパラメータによる明示的設定
	if (lang != "" && lang != null) {
		if (lang.toLowerCase() == "ja") {
			langType = "ja";
		} else if (lang.toLowerCase() == "en") {
			langType = "en";
		}
	}
	
	langIndex = langIdx.indexOf(langType);
}

//---------------------------------------------------------
//	文字列変換のみ
//---------------------------------------------------------
function langConv(jpStr) {
	var res = jpStr;
	//日本語以外の場合
	if (langType != "ja") {
		for (var i = 0; i < langStr.length; i++) {
			if (langStr[i][0] == jpStr) {
				res = langStr[i][langIndex];
				return res;
			}
		}
		console.log("lang err : " + res);
	}
	return res;
}

//---------------------------------------------------------
//	位置設定付き（メニューボタンの文字列用）
//---------------------------------------------------------
function langConvWithPosition(jpStr, elemStr, elemPos) {
	//日本語以外の場合
	if (langType != "ja") {
		for (var i = 0; i < langStr.length; i++) {
			var pos = langStr[i][0].indexOf("@");
			if (pos > -1) {
				
				if (langStr[i][0].substr(0, pos) == jpStr) {
					strs = langStr[i][langIndex].split("@");
					elemStr.innerHTML = strs[0];
					elemPos.style.left = strs[1] + "px";
					return;
				}
			}
		}
	}
}

//---------------------------------------------------------
//	書式付き（Debugモード用）
//---------------------------------------------------------
function langConvFormat(jpStr, arg1, arg2, arg3, arg4) {
	var str = jpStr;
	//日本語以外の場合
	if (langType != "ja") {
		for (var i = 0; i < langStr.length; i++) {
			if (langStr[i][0] == jpStr) {
				var str = langStr[i][langIndex];
				break;
			}
		}
	}
	
	//値の置換
	if (arg1 != null) {
		str = str.replace(/%1/, arg1);
	}
	if (arg2 != null) {
		str = str.replace(/%2/, arg2);
	}
	if (arg3 != null) {
		str = str.replace(/%3/, arg3);
	}
	if (arg4 != null) {
		str = str.replace(/%4/, arg4);
	}
	
	return str;
}

//---------------------------------------------------------
//	書式付き（Debugモード用）言語変換なし
//---------------------------------------------------------
function Format(jpStr, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8) {
	var str = jpStr;
	
	//値の置換
	if (arg1 != null) {
		str = str.replace(/%1/, arg1);
	}
	if (arg2 != null) {
		str = str.replace(/%2/, arg2);
	}
	if (arg3 != null) {
		str = str.replace(/%3/, arg3);
	}
	if (arg4 != null) {
		str = str.replace(/%4/, arg4);
	}
	if (arg5 != null) {
		str = str.replace(/%5/, arg5);
	}
	if (arg6 != null) {
		str = str.replace(/%6/, arg6);
	}
	if (arg7 != null) {
		str = str.replace(/%7/, arg7);
	}
	if (arg8 != null) {
		str = str.replace(/%8/, arg8);
	}
	
	return str;
}
